• The forum software that supports hummy.tv has been upgraded to XenForo 2.1!

    This is upgrade brings a number of improvements including the ability to bookmark posts to come back to later. Please bear with us as we continue to tweak things and open a new thread for any questions, issues or suggestions in Site/Forum Issues.

Error Updating webif to 1.4.4-4

Freda

New Member
I have just checked for package updates and there was one to update from Webif 1.4.4-1 to 1.4.4-4 but the update fails with the following message when I tell it to go ahead and install.

Collected errors:
* satisfy_dependencies_for: Cannot satisfy the following dependencies for webif:
* nugget (>= 0.99) *


When I click on "show advance packages" I can see that the version of nugget installed on my system is 0.98-3 so I am guessing that nugget needs to be updated first? But that does not seemed to have happened automatically.

Thanks in advance for any help.
 
Last edited:
OP
F

Freda

New Member
Yes, but it is over my head I am sad to say.

I am just a humble user of this lovely software and have no idea what system flushing is let alone the references to beta packages or how to go about executing the "try this" code. I also an unclear, even though the problem looks similar, how come it is affecting me when all I am trying to do is install an update that is being offered as being available.

So - is there something I need to do specifically that will fix this (in easy terms please but I am decent at following instructions) or is there a general bug with the update that will be fixed in due course if I just wait?

Thanks.
 
Last edited:

Black Hole

May contain traces of nut
Just wait, it will be sorted. You certainly don't want to be mucking about with beta packages or command line hacks.

If you have a problem that persists for more than a few days, despite updating and rebooting, you might then be guided through a series of steps to get to the bottom of it.
 

MymsMan

Ad detector
is there a general bug with the update that will be fixed in due course if I just wait?
Yes just wait

The attempts to fix my specific problems yesterday introduced a more general problem - there is no need to install 1.4.4.-4
 
OP
F

Freda

New Member
Will do, and thanks for the replies.

And also, while I am here, thanks to everyone for their hard work with this software. I cannot contribute so use it gratefully.
 

Yemble

New Member
Looks like I'm in the same boat. Attempted to upgrade HD-Fox-T2 from 1.02.29 to 1.03.02-mod3.13, which was going very well until the final stage installing webif. Then it blobbed with the nugget >= 0.99 error. Somewhat relieved to see that it is a known recent fault that is being addressed.

Still, at least iPlayer is working now, albeit a bit slowly.
 

Yemble

New Member
The motivation to update from 1.02.29 to 1.03.02 can be to get iPlayer working.
The release note for 1.03.02 was:
- TVPortal / Browser update
- iPlayer V3
Yep, absolutely my motivation.

TBH, I had assumed that this device had been dead for years, with regard to F/W upgrades. I found this site by accident, so I thought that I'd give the latest beta a go. Very happy to get iPlayer back!

I'm not a Linux guy and have no idea what nugget is, nor what it does, I was just reporting the error.
 

aw1

Forum Supporter
If you find iPlayer sluggish, know what you want to watch by navigating around the web version, and don't mind waiting while the HDR downloads the episode; investigate the youtube-dl (a command line utility with complicated options which can download from some YouTube, the BBC and some other places) and Qtube (Simple webif page to queue youtube downloads to run in the Auto process queue) packages.

Once set up, in the Web BBC iPlayer, go to the page for the episode that you want to watch, copy the full URL (e.g https://www.bbc.co.uk/iplayer/episode/b0c1tq4b/silent-witness-series-22-7-deathmaker-part-one ), and in the webif "queue video download" page paste the URL into the URL field, and set the other fields to suit (I put --no-progress in the Process Options), and click on Run download in the background. You can add more episodes to download, then go away for a while. Or watch something else.

youtube-dl is a massive, complicated, processor heavy script, so it is best to have Auto process queue set to not run for 20 minutes or so before or during recording.

if you look around this forum you should find more coherent descriptions of what you need to do.
 

Black Hole

May contain traces of nut
When I tried to use get_iplayer recently, it failed to download (and then I installed youtube-dl for Windows). Something to do with BBC changes. Is it working for you?
 

EEPhil

Number 28
When I tried to use get_iplayer recently, it failed to download (and then I installed youtube-dl for Windows). Something to do with BBC changes. Is it working for you?
I'm assuming you are referring to get_iplayer on a computer. I've just tried the version I have (3.13.0) and it appeared to download. There is a problem. I usually use it to download unmangled ends of programmes using the --start switch. This doesn't appear to work as I remember it. The damn thing wants to download the whole bloomin' programme :mad:.
Edit: Update to 3.18 and all is good :D
 
Last edited:

sceptic

Forum Supporter
When I tried to use get_iplayer recently, it failed to download (and then I installed youtube-dl for Windows). Something to do with BBC changes. Is it working for you?
Yes its working perfectly on my Windows 10 PC. I don't actually record anything from the BBC channels on my PVR's any more and just use get_iplayer (via command line) for everything with a file of series ID's I maintain for anything I want to 'record'. One command then downloads everything new that has been listed since the last time it ran, with no PVR/scheduling issues! ;)
 

Yemble

New Member
Looks like I'm in the same boat. Attempted to upgrade HD-Fox-T2 from 1.02.29 to 1.03.02-mod3.13, which was going very well until the final stage installing webif. Then it blobbed with the nugget >= 0.99 error. Somewhat relieved to see that it is a known recent fault that is being addressed.

Still, at least iPlayer is working now, albeit a bit slowly.
webif installation is now working using 1.4.4.-5 :thumbsup:
 
Top